net.i2p.router.web

## Class ProfilesHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.ProfilesHelper

-     public class ProfilesHelper
      extends HelperBase

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfilesHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProfileSummary()`
    `String` | `getShitlistSummary()`
    `void` | `setFull(String f)`

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_, _, _, _x, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfilesHelper

          public ProfilesHelper()

  - ### Method Detail

    - #### setFull

          public void setFull(String f)

    - #### getProfileSummary

          public String getProfileSummary()

      Returns:
        empty string, writes directly to _out

    - #### getShitlistSummary

          public String getShitlistSummary()

      Returns:
        empty string, writes directly to _out